Package org.eclipse.ui.actions

# Class CreateFolderAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.actions.BaseSelectionListenerAction
org.eclipse.ui.actions.SelectionListenerAction
org.eclipse.ui.actions.CreateFolderAction

All Implemented Interfaces:
  `IAction`, `ISelectionChangedListener`

@Deprecated public class CreateFolderAction extends SelectionListenerAction
Deprecated.
should use NewWizardMenu to populate a New submenu instead (see Navigator view)
Standard action for creating a folder resource within the currently selected folder or project.

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ID`
Deprecated.
The id of this action.
`protected IShellProvider`
`shellProvider`
Deprecated.
The shell in which to show any dialogs.

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`CreateFolderAction(IShellProvider provider)`
Deprecated.
see deprecated tag on class
`CreateFolderAction(Shell shell)`
Deprecated.
`CreateFolderAction(IShellProvider)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
Deprecated.
The `CreateFolderAction` implementation of this `IAction` method opens a `BasicNewFolderResourceWizard` in a wizard dialog under the shell passed to the constructor.
`protected boolean`
`updateSelection(IStructuredSelection s)`
Deprecated.
The `CreateFolderAction` implementation of this `SelectionListenerAction` method enables the action only if the selection contains folders and open projects.

### Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction

`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

### Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction

`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ID

public static final String ID
Deprecated.
The id of this action.

See Also:
  - Constant Field Values

### shellProvider

protected IShellProvider shellProvider
Deprecated.
The shell in which to show any dialogs.

## Constructor Details

### CreateFolderAction

@Deprecated public CreateFolderAction(Shell shell)
Deprecated.
`CreateFolderAction(IShellProvider)`
Creates a new action for creating a folder resource.

Parameters:
  `shell` - the shell for any dialogs

### CreateFolderAction

@Deprecated public CreateFolderAction(IShellProvider provider)
Deprecated.
see deprecated tag on class
Creates a new action for creating a folder resource.

Parameters:
  `provider` - the shell for any dialogs
Since:
  3.4

## Method Details

### run

public void run()
Deprecated.
The `CreateFolderAction` implementation of this `IAction` method opens a `BasicNewFolderResourceWizard` in a wizard dialog under the shell passed to the constructor.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - `How radio buttons are handled`
  - `How check boxes are handled`

### updateSelection

protected boolean updateSelection(IStructuredSelection s)
Deprecated.
The `CreateFolderAction` implementation of this `SelectionListenerAction` method enables the action only if the selection contains folders and open projects.

Overrides:
  `updateSelection` in class `BaseSelectionListenerAction`
Parameters:
  `s` - the new selection
Returns:
  `true` if the action should be enabled for this selection, and `false` otherwise